/**
 *
 * The MIT License
 *
 * Copyright (c) 2011 the original author or authors.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:

 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package com.googlecode.charts4j.parameters;

/**
 * <b>For Charts4J internal use only.</b>. The FillType enumeration.
 *
 * @author Julien Chastang (julien.c.chastang at gmail dot com)
 */
public enum FillType {

    /** Background fill type. */
    BACKGROUND("bg"),
    /** Chart area fill type. */
    CHART_AREA("c");

    /** String for the Google Chart API parameter. */
    private final String fillAreaType;

    /**
     * Instantiating enum.
     *
     * @param fillAreaType
     *            the string for the Google Chart API parameter
     */
    private FillType(final String fillAreaType) {
        this.fillAreaType = fillAreaType;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String toString() {
        return fillAreaType;
    }
}
